summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorTarcisio Fedrizzi2015-12-16 17:45:33 +0100
committerTarcisio Fedrizzi2015-12-16 17:45:33 +0100
commitbd7efe4de389066cece5128931d39d2e7908e558 (patch)
treede8397c4c752e1e22576a9144230e2ff2a2336a3
downloadaur-bd7efe4de389066cece5128931d39d2e7908e558.tar.gz
Initial import
-rw-r--r--.SRCINFO18
-rw-r--r--PKGBUILD23
2 files changed, 41 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..e30f4d95b7a
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,18 @@
+# Generated by mksrcinfo v8
+# Wed Dec 16 16:44:04 UTC 2015
+pkgbase = tbl2asn
+ pkgdesc = A command-line program that automates the creation of sequence records for submission to GenBank
+ pkgver = 24.3
+ pkgrel = 1
+ url = http://www.ncbi.nlm.nih.gov/genbank/tbl2asn2/
+ arch = i686
+ arch = x86_64
+ license = unknown
+ makedepends = gzip
+ source_i686 = ftp://ftp.ncbi.nih.gov/toolbox/ncbi_tools/converters/by_program/tbl2asn/linux.tbl2asn.gz
+ sha256sums_i686 = 1c0fcf83b5dac532a281ad8510b3d8c2056b144d500f8a26f7fb235200a77979
+ source_x86_64 = ftp://ftp.ncbi.nih.gov/toolbox/ncbi_tools/converters/by_program/tbl2asn/linux64.tbl2asn.gz
+ sha256sums_x86_64 = 00265752e4b69f17e2e1066e42187bf0f65126ce3a2c6ac4bc2fd6ddae139163
+
+pkgname = tbl2asn
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..05db4fa36df
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,23 @@
+# Maintainer: Tarcisio Fedrizzi <tarcisio.fedrizzi@gmail.com>
+
+pkgname='tbl2asn'
+pkgver='24.3'
+pkgrel='1'
+pkgdesc='A command-line program that automates the creation of sequence records for submission to GenBank'
+arch=('i686' 'x86_64')
+url='http://www.ncbi.nlm.nih.gov/genbank/tbl2asn2/'
+license=('unknown')
+makedepends=('gzip')
+source_i686=('ftp://ftp.ncbi.nih.gov/toolbox/ncbi_tools/converters/by_program/tbl2asn/linux.tbl2asn.gz')
+source_x86_64=('ftp://ftp.ncbi.nih.gov/toolbox/ncbi_tools/converters/by_program/tbl2asn/linux64.tbl2asn.gz')
+sha256sums_i686=('1c0fcf83b5dac532a281ad8510b3d8c2056b144d500f8a26f7fb235200a77979')
+sha256sums_x86_64=('00265752e4b69f17e2e1066e42187bf0f65126ce3a2c6ac4bc2fd6ddae139163')
+_prog_name='linux'$([[ $CARCH == 'x86_64' ]] && echo -n '64' || echo -n '')'.tbl2asn'
+
+prepare() {
+ gunzip < ${_prog_name}.gz > $pkgname
+}
+
+package() {
+ install -Dp "${srcdir}/${_prog_name}" "${pkgdir}/usr/bin/${pkgname}"
+}